latin1_writer Struct Reference

## Public Types

typedef uint8_t * | value_type

## Static Public Member Functions

static value_type | low (value_type result, uint32_t ch)
static value_type | high (value_type result, uint32_t ch)

## Detailed Description

Definition at line 912 of file pugixml.cpp.

## Member Typedef Documentation

## value_type

typedef uint8_t* latin1_writer::value_type

Definition at line 914 of file pugixml.cpp.

## Member Function Documentation

## high()

static value_type latin1_writer::high | ( | value_type | result,
|  | uint32_t | ch
| ) |  |

inline static

Definition at line 923 of file pugixml.cpp.

{
(void)ch;
*result = '?';
return result + 1;
}

## low()

static value_type latin1_writer::low | ( | value_type | result,
|  | uint32_t | ch
| ) |  |

inline static

Definition at line 916 of file pugixml.cpp.

{
*result = static_cast<uint8_t>(ch > 255 ? '?' : ch);
return result + 1;
}
uint8_t
unsigned char uint8_t
Definition stdint_msvc.h:79

The documentation for this struct was generated from the following file:

- pugixml.cpp